services:
  Telnowedge\UserBundle\Repository\Proxy\ContactRepository:
    parent: Telnowedge\BaseBundle\Repository\AbstractLinkRepository

  Telnowedge\UserBundle\Repository\UserRepository:
    parent: Telnowedge\BaseBundle\Repository\AbstractLinkRepository
    calls:
      - method: setContainer
        arguments:
          - '@service_container'

  Telnowedge\UserBundle\Repository\FileSystem\VoicemailRepository:
    parent: Telnowedge\BaseBundle\Repository\AbstractLinkRepository
    arguments:
      $voicemailUtil: '@Telnowedge\UserBundle\Util\VoicemailUtil'
      $logger: '@telnowedge_user_logger'
